#!/usr/bin/env python3

from typing import Union

from Items import Item


class ChannelProvider:
    def __init__(self, provider_name: str, feed: str) -> None:
        self.m_provider_name = provider_name
        self.m_feed = feed
        self.m_items: Union[list[Item], None] = None

    def get_feed(self) -> str:
        return self.m_feed

    def get_items(self) -> Union[list[Item], None]:
        return self.m_items

    def get_provider_name(self) -> str:
        return self.m_provider_name

    def parse_feed(self) -> Union[list[Item], None]:
        pass
